import { defineConfig } from 'umi';

export default defineConfig({
  nodeModulesTransform: {
    type: 'none', // all 慢 兼容好
  },
  routes: [
    { path: '/', component: '@/pages/index' },
    { path: '/about', component: '@/pages/about' },
  ],
  fastRefresh: {},
  history: {
    type: 'browser'
  },
  // 后续设置的配置
  devServer: {
    port: 3000, // 启动端口
  },
  title: 'UmiV3',// 网站标题
  favicon: '/favicon.ico',// 网站图标
  dynamicImport: {}, // 按需加载
  mountElementId: 'root', // 指定 reactapp 渲染到元素的根元素 id
});
